package org.droid3d.io;

import java.io.IOException;
import java.net.URL;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.droid3d.renderer.Material;

public class MaterialFactory {
	public interface MaterialLoader {
		public List<Material> load(URL url) throws IOException;
	}

	private static final MaterialFactory sInstance = new MaterialFactory();

	public static MaterialFactory getInstance() {
		return sInstance;
	}

	private Map<String, MaterialLoader> mLoader = new HashMap<String, MaterialFactory.MaterialLoader>();

	public void load() {

	}

	public void register(String ext, MaterialLoader loader) {
		mLoader.put(ext, loader);
	}
}
