package org.droid3d.math;

public class MathF {

	/**
	 * Pi, the ratio of a circle's circumference to its diameter.
	 */
	public static final float	PI			= (float) Math.PI;
	/**
	 * Pi divided by two.
	 */
	public static final float	PI_2		= 0.5f * PI;
	/**
	 * Pi divided by 4.
	 */
	public static final float	PI_4		= 0.25f * PI;

	/**
	 * Factor to convert degree to radiant.
	 */
	public static final float	DEG_2_RAD	= PI / 180f;

	/**
	 * Factor to convert radiant to degree.
	 */
	public static final float	RAD_2_DEG	= 180f / PI;

	/**
	 * The square root of two.
	 */
	public static final float	SQRT_2		= (float) Math.sqrt(2);

	public static float clip(float value, float min, float max) {
		if (value < min)
			value = min;
		else if (value > max)
			value = max;
		return value;
	}

	public static float cos(float angle) {
		return (float) Math.cos(angle);
	}

	public static float max(float a, float b) {
		return b > a ? b : a;
	}

	public static float min(float a, float b) {
		return b > a ? a : b;
	}

	public static float sin(float angle) {
		return (float) Math.sin(angle);
	}

	public static float sqrt(float v) {
		return (float) Math.sqrt(v);
	}

	public static float tan(float angle) {
		return (float) Math.tan(angle);
	}
}
