/*******************************************************************************
 * Copyright 2013 Bo Meier (bo.meier@gmail.com)
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package org.droid3d.renderer.shader;

public class Shader {

	public static interface Compiler {
		public Integer compile(Shader shader);
	}

	public enum Type {
		VERTEX, FRAGMENT;
	}

	private Type	mType;
	private String	mSource;

	public String getSource() {
		return mSource;
	}

	public Type getType() {
		return mType;
	}

	public void setSource(String source) {
		mSource = source;
	}

	public void setType(Type type) {
		mType = type;
	}

}
