package org.droid3d.renderer.shader;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

public class ShaderProgram {
	public interface Linker {
		public Integer link(int vertexShader, int fragmentShader);
	}

	private final List<Shader>	mShader	= new ArrayList<Shader>();
	private Shader				mVertexShader;
	private Shader				mFragmentShader;

	public ShaderProgram(Shader... shader) {
		mShader.addAll(Arrays.asList(shader));
	}

	public Shader getFragmentShader() {
		return mFragmentShader;
	}

	public List<Shader> getShader() {
		return mShader;
	}

	public Shader getVertexShader() {
		return mVertexShader;
	}
}