/*******************************************************************************
 * Copyright 2013 Bo Meier (bo.meier@gmail.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package org.droid3d.renderer.shader;

public class Uniform<T> {
	public interface Setter<V> {
		public void set(int handle, V value);
	}

	private T			mValue;
	private int			mHandle;
	private Setter<T>	mSet;

	public T getValue() {
		return mValue;
	}

	public void set() {
		if (mSet != null) {
			mSet.set(mHandle, mValue);
		}
	}

	public void setHandle(int handle) {
		mHandle = handle;
	}

	public void setSetter(Setter<T> set) {
		mSet = set;
	}

	public void setValue(T value) {
		mValue = value;
	}
}
