package org.droid3d.renderer.states;

import org.droid3d.renderer.Renderer;
import org.droid3d.utils.Functional;

import com.google.common.base.Function;

public class DefaultRenderState extends RenderState {

	private Function<Void, Void>	mEnableFct	= Functional.NO_OPERATION;
	private Function<Void, Void>	mDisableFct	= Functional.NO_OPERATION;

	protected DefaultRenderState(Type type, boolean enabled) {
		super(type, enabled);
	}

	@Override
	public void disable(Renderer renderer) {
		mEnableFct.apply(null);
	}

	@Override
	public void enable(Renderer renderer) {
		super.enable(renderer);
		mDisableFct.apply(null);
	}

	public Function<Void, Void> getDisableFct() {
		return mDisableFct;
	}

	public Function<Void, Void> getEnableFct() {
		return mEnableFct;
	}

	public void setDisableFct(Function<Void, Void> disableFct) {
		mDisableFct = disableFct;
	}

	public void setEnableFct(Function<Void, Void> enableFct) {
		mEnableFct = enableFct;
	}

}
