/*******************************************************************************
 * Copyright 2013 Bo Meier (bo.meier@gmail.com)
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package org.droid3d.renderer.states;

import org.droid3d.renderer.Renderer;

public class RenderState {
	public enum Type
	{
		Alpha, Culling, DepthBuffer;
	}

	public static RenderState[]	DEFAULT	= new RenderState[]
//@formatter:off
	{
		new StateAlpha(),
		new StateCulling(),
		new StateDepthBuffer(),
	};//@formatter:on

	private final Type			mType;
	private boolean				mEnabled;

	protected RenderState(Type type)
	{
		this(type, true);
	}

	protected RenderState(Type type, boolean enabled)
	{
		mType = type;
		mEnabled = enabled;
	}

	public void disable(Renderer renderer)
	{

	}

	public void enable(Renderer renderer)
	{

	}

	public Type getType()
	{
		return mType;
	}

	public boolean isEnabled()
	{
		return mEnabled;
	}

	public void setEnabled(boolean enabled)
	{
		mEnabled = enabled;
	}
}
