/*******************************************************************************
 * Copyright 2013 Bo Meier (bo.meier@gmail.com)
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package org.droid3d.scenegraph;

import java.util.ArrayList;
import java.util.List;

public class Culler {
	private Camera			mCamera;
	private List<Geometry>	mVisible	= new ArrayList<Geometry>();

	public void computeVisible(Node node) {
		mVisible.clear();
		node.onCull(this, true);
	}

	public Camera getCamera() {
		return mCamera;
	}

	public List<Geometry> getVisible() {
		return mVisible;
	}

	public void insert(Geometry geometry) {
		mVisible.add(geometry);
	}

	public boolean isVisible(BoundingVolume boundingVolume) {
		return true;
	}

	public boolean isVisible(Node node) {
		return true;
	}

	public void setCamera(Camera camera) {
		mCamera = camera;
	}
}
