package org.droid3d.io;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertNotNull;

import java.io.IOException;
import java.net.URL;
import java.util.List;

import org.apache.log4j.BasicConfigurator;
import org.droid3d.renderer.Color;
import org.droid3d.renderer.Material;
import org.junit.Before;
import org.junit.Test;

public class WavefrontMaterialLoaderTest {
	@Before
	public void init() {
		BasicConfigurator.configure();
	}

	@Test
	public void basicTest() throws IOException {
		URL materialRes = getClass().getResource("/materials/test.mtl");
		assertNotNull(materialRes);
		WavefrontMaterialLoader loader = new WavefrontMaterialLoader();
		List<Material> materials = loader.load(materialRes);

		assertEquals(1, materials.size());

		Material testMaterial = materials.get(0);
		assertEquals("test", testMaterial.getName());

		Color ambient = testMaterial.getAmbientColor();
		assertEquals(0.5, ambient.red, 0.0);
		assertEquals(0.5, ambient.red, 0.0);
		assertEquals(0.5, ambient.red, 0.0);

	}
}
