package org.droid3d.renderer;

import junit.framework.Assert;

import org.droid3d.renderer.states.RenderState;
import org.droid3d.renderer.states.StateAlpha;
import org.droid3d.renderer.states.StateCulling;
import org.droid3d.renderer.states.StateDepthBuffer;
import org.junit.Test;

public class RenderStateTest {
	@Test
	public void testDefaultStates() {
		Assert.assertEquals(RenderState.Type.values().length, RenderState.DEFAULT.length);
	}

	@Test
	public void testTypes() {
		RenderState state = new StateAlpha();
		Assert.assertEquals(RenderState.Type.Alpha, state.getType());

		state = new StateCulling();
		Assert.assertEquals(RenderState.Type.Culling, state.getType());

		state = new StateDepthBuffer();
		Assert.assertEquals(RenderState.Type.DepthBuffer, state.getType());
	}
}
