package org.droid3d.utils;

import junit.framework.Assert;

import org.droid3d.renderer.buffer.VertexAttribute;
import org.droid3d.utils.buffer.VertexAttributeFactory;
import org.junit.Test;

public class VertexAttributeFactoryTest {
	@Test
	public void testColorAttr() {
		VertexAttribute attr = VertexAttributeFactory.newColorAttr();

		Assert.assertEquals(VertexAttributeFactory.DEFAULT_ATTR_NAME_COLOR,
				attr.getName());
		Assert.assertEquals(Type.FLOAT, attr.getType());
		Assert.assertEquals(4, attr.getElementCount());
		Assert.assertEquals(VertexAttribute.Usage.Color, attr.getUsage());
	}

	@Test
	public void testNormalAttr() {
		VertexAttribute attr = VertexAttributeFactory.newNormalAttr();

		Assert.assertEquals(VertexAttributeFactory.DEFAULT_ATTR_NAME_NORMAL,
				attr.getName());
		Assert.assertEquals(Type.FLOAT, attr.getType());
		Assert.assertEquals(3, attr.getElementCount());
		Assert.assertEquals(VertexAttribute.Usage.Normal, attr.getUsage());
	}

	@Test
	public void testPositionAttr() {
		VertexAttribute attr = VertexAttributeFactory.newPositionAttr();

		Assert.assertEquals(VertexAttributeFactory.DEFAULT_ATTR_NAME_POSITION,
				attr.getName());
		Assert.assertEquals(Type.FLOAT, attr.getType());
		Assert.assertEquals(3, attr.getElementCount());
		Assert.assertEquals(VertexAttribute.Usage.Position, attr.getUsage());
	}

	@Test
	public void testTexCoordAttr() {
		VertexAttribute attr = VertexAttributeFactory.newTexCoordAttr();

		Assert.assertEquals(VertexAttributeFactory.DEFAULT_ATTR_NAME_TEXCOORD,
				attr.getName());
		Assert.assertEquals(Type.FLOAT, attr.getType());
		Assert.assertEquals(2, attr.getElementCount());
		Assert.assertEquals(VertexAttribute.Usage.TexCoord, attr.getUsage());
	}
}
